import request from '@/utils/request'

// 查询潜山网格信息列表
export function listGrid(query) {
  return request({
    url: '/boman-web-core/core/grid/list',
    method: 'get',
    params: query
  })
}

// 查询潜山网格信息详细
export function getGrid(id) {
  return request({
    url: '/boman-web-core/core/grid/' + id,
    method: 'get'
  })
}

// 新增潜山网格信息
export function addGrid(data) {
  return request({
    url: '/boman-web-core/core/grid',
    method: 'post',
    data: data
  })
}

export function cxwg(data) {
  return request({
    url: '/boman-web-core/core/grid/queryParent',
    method: 'post',
    data: data
  })
}

// 修改潜山网格信息
export function updateGrid(data) {
  return request({
    url: '/boman-web-core/core/grid',
    method: 'put',
    data: data
  })
}

// 删除潜山网格信息
export function delGrid(id) {
  return request({
    url: '/boman-web-core/core/grid/' + id,
    method: 'delete'
  })
}
